#!/usr/bin/php
<?php
/**
 * $Horde: agora/scripts/upgrades/2004-04-07_migrate_datatree.php,v 1.5 2006/04/18 15:29:49 jan Exp $
 *
 * Script to migrate forums from datatree agora_forms table
 */

/**
 * Set this to true if you want DB inserts done.
 */
$live = false;

// No need for auth.
@define('AUTH_HANDLER', true);

// Find the base file paths.
@define('HORDE_BASE', dirname(__FILE__) . '/../../..');
@define('AGORA_BASE', dirname(__FILE__) . '/../..');

// Do CLI checks and environment setup first.
require_once HORDE_BASE . '/lib/core.php';
require_once 'Horde/CLI.php';

// Make sure no one runs this from the web.
if (!Horde_CLI::runningFromCLI()) {
    exit("Must be run from the command line\n");
}

// Load the CLI environment - make sure there's no time limit, init
// some variables, etc.
Horde_CLI::init();

require_once 'DB.php';
require_once HORDE_BASE . '/lib/base.php';
require_once 'Horde/Serialize.php';
require_once 'Horde/Array.php';

/* Open the database. */
$db = &DB::connect($conf['sql']);
if (is_a($db, 'PEAR_Error')) {
    var_dump($db); exit;
}
$db->setOption('portability', DB_PORTABILITY_LOWERCASE | DB_PORTABILITY_ERRORS);


/* Copy forums. */
$max_id = 0;
$forums = $db->getAll('SELECT * FROM horde_datatree WHERE group_uid LIKE \'agora.forums%\'', DB_FETCHMODE_ASSOC);
foreach ($forums as $form) {

    if ($form['datatree_id'] > $max_id) {
        $max_id = $form['datatree_id'];
    }

    $result = $db->getAll('SELECT * FROM horde_datatree_attributes WHERE datatree_id = ?', array($form['datatree_id']), DB_FETCHMODE_ASSOC);
    $attributes = array();
    foreach ($result as $attr) {
        $attributes[$attr['attribute_name'] . '_' . $attr['attribute_key']] = $attr['attribute_value'];
    }

    $sql = 'INSERT INTO agora_forums '
         . '(forum_id, app, active, name, description, user_uid, moderation, message_count, allow_attachment_types) ' 
         . 'VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?)';

    $values = array($form['datatree_id'],
                    ($form['group_uid'] == 'agora.forums') ? 'agora' : substr($form['group_uid'], 13),
                    1,
                    $form['datatree_name'],
                    $attributes['forum_description'],
                    $form['user_uid'],
                    $attributes['forum_moderated'],
                    $attributes['message_seq'],
                    $attributes['forum_attachments']);

    $result = $db->query($sql, $values);
    if (is_a($result, 'PEAR_Error')) {
        var_dump($result);
        exit;
    }
}

// Update DB sequence
$db->query('UPDATE agora_forums_seq SET id = ?', array($max_id));
