#!/usr/bin/php
<?php
/**
 * $Horde: agora/scripts/upgrades/2004-04-07_migrate_datatree.php,v 1.5 2006/04/18 15:29:49 jan Exp $
 *
 * TODO: Attachments
 * 
 * Script to migrate forums from datatree agora_forms table
 */

/**
 * Set this to true if you want DB inserts done.
 */
$live = false;

// No need for auth.
@define('AUTH_HANDLER', true);

// Find the base file paths.
@define('HORDE_BASE', dirname(__FILE__) . '/../../..');
@define('AGORA_BASE', dirname(__FILE__) . '/../..');

// Do CLI checks and environment setup first.
require_once HORDE_BASE . '/lib/core.php';
require_once 'Horde/CLI.php';

// Make sure no one runs this from the web.
if (!Horde_CLI::runningFromCLI()) {
    exit("Must be run from the command line\n");
}

// Load the CLI environment - make sure there's no time limit, init
// some variables, etc.
Horde_CLI::init();

require_once 'DB.php';
require_once HORDE_BASE . '/lib/base.php';
require_once 'Horde/Serialize.php';
require_once 'Horde/Array.php';

/* Open the database. */
$db = &DB::connect($conf['sql']);
if (is_a($db, 'PEAR_Error')) {
    var_dump($db); exit;
}
$db->setOption('portability', DB_PORTABILITY_LOWERCASE | DB_PORTABILITY_ERRORS);

/* Copy forums. */
$max_id = 0;
$sql = 'SELECT DISTINCT d.datatree_id, d.datatree_parents FROM horde_datatree d, horde_datatree_attributes a '
     . ' WHERE d.group_uid = "agora.threads" AND d.datatree_id = a.datatree_id';
$threads = $db->getAssoc($sql);
if (is_a($threads, 'PEAR_Error')) {
    var_dump($threads);
    exit;
}

foreach ($threads as $id => $parents) {

    $result = $db->getAll('SELECT * FROM horde_datatree_attributes WHERE datatree_id = ?', array($id), DB_FETCHMODE_ASSOC);
    $attributes = array();
    foreach ($result as $attr) {
        $attributes[$attr['attribute_key']] = $attr['attribute_value'];
    }

    // import only some for testing
    if ($attributes['forum_id'] != 23) {
        continue;
    }

    $sql = 'INSERT INTO agora_messages (message_id, forum_id, parents, thread, author, subject, body, message_timestamp)' 
         . ' VALUES (?, ?, ?, ?, ?, ?, ?, ?) ';

    // Remove main thread
    $thread = explode(':', $parents);
    unset($thread[1]);

    $params = array($id);
    $params[] = $attributes['forum_id'];
    $params[] = implode(':', $thread);
    $params[] = sizeof($thread)>1 ? $thread[2] : 0;
    $params[] = $attributes['message_author'];
    $params[] = $attributes['message_subject'];
    $params[] = $attributes['body'];
    $params[] = $attributes['timestamp'];

    $result = $db->query($sql, $params);
    if (is_a($result, 'PEAR_Error')) {
        var_dump($result);
        exit;
    }
}
