
-- --------------------------------------------------------

-- 
-- Table structure for table `agora_files`
-- 

CREATE TABLE `agora_files` (
  `file_id` int(11) unsigned NOT NULL auto_increment,
  `file_name` varchar(255) NOT NULL,
  `file_size` int(11) unsigned NOT NULL default '0',
  `file_type` varchar(32) NOT NULL,
  `message_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`file_id`),
  KEY `message_id` (`message_id`)
);

-- --------------------------------------------------------

-- 
-- Table structure for table `agora_forums`
-- 

CREATE TABLE `agora_forums` (
  `forum_id` int(10) unsigned NOT NULL,
  `scope` varchar(10) NOT NULL,
  `forum_name` varchar(255) NOT NULL,
  `active` tinyint(3) unsigned NOT NULL,
  `forum_description` varchar(255) NOT NULL,
  `forum_parent_id` int(10) unsigned NOT NULL,
  `author` varchar(32) NOT NULL,
  `forum_moderated` tinyint(3) unsigned NOT NULL,
  `forum_attachments` varchar(50) NOT NULL,
  `message_count` int(10) unsigned NOT NULL,
  `thread_count` int(10) unsigned NOT NULL,
  `count_views` tinyint(3) unsigned NOT NULL,
  PRIMARY KEY  (`forum_id`),
  KEY `app` (`scope`,`active`)
);

-- --------------------------------------------------------

-- 
-- Table structure for table `agora_messages`
-- 

CREATE TABLE `agora_messages` (
  `message_id` int(10) unsigned NOT NULL auto_increment,
  `forum_id` int(10) unsigned NOT NULL default '0',
  `message_thread` int(10) unsigned NOT NULL default '0',
  `parents` varchar(255) NOT NULL,
  `message_author` varchar(32) NOT NULL,
  `message_subject` varchar(85) NOT NULL,
  `body` text NOT NULL,
  `attachments` tinyint(4) unsigned NOT NULL,
  `ip` varchar(30) NOT NULL,
  `status` tinyint(4) NOT NULL default '2',
  `modifystamp` int(10) unsigned NOT NULL default '0',
  `message_seq` int(10) unsigned NOT NULL default '0',
  `approved` tinyint(1) unsigned NOT NULL default '0',
  `message_timestamp` int(10) unsigned NOT NULL default '0',
  `view_count` int(10) unsigned NOT NULL default '0',
  `locked` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`message_id`),
  KEY `forum_id` (`forum_id`,`message_thread`)
);
